/say does not have help information

RESOLVED FIXED in 1.2

Status

Instantbird
Other
--
trivial
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: clokep, Assigned: clokep)

Tracking

Details

Attachments

(1 attachment)

(Assignee)

Description

4 years ago
*** Original post on bio 1036 at 2011-09-16 10:42:00 UTC ***

The /say command should have help information. We do not wish for it to be in the commands service because it depends on the conversation binding (i.e. is not actually purplexpcom), but there should be help information listed for it anyway (that throws an error if you try to execute it).
(Assignee)

Comment 1

4 years ago
Created attachment 8352662 [details] [diff] [review]
Dummy /say command v1

*** Original post on bio 1036 as attmnt 920 at 2011-10-21 21:07:00 UTC ***

This adds a dummy /say command in the command service that throws NS_ERROR_NOT_IMPLEMENTED if actually run, since this should NEVER be run since it should be implemented in the UI layer of an application.
Attachment #8352662 - Flags: review?(florian)
(Assignee)

Updated

4 years ago
Assignee: nobody → clokep
Status: NEW → ASSIGNED
Comment on attachment 8352662 [details] [diff] [review]
Dummy /say command v1

*** Original change on bio 1036 attmnt 920 at 2011-10-26 11:03:42 UTC ***

Looks good, thanks for taking care of this! :-)

>diff --git a/purple/locales/en-US/commands.properties b/purple/locales/en-US/commands.properties
>--- a/purple/locales/en-US/commands.properties
>+++ b/purple/locales/en-US/commands.properties
>@@ -1,16 +1,17 @@
> # LOCALIZATION NOTE (commands):
> #  %S is a comma separated list of command names.
> commands=Commands: %S.\nUse /help <command> for more information.
> # LOCALIZATION NOTE (noCommand, noHelp):
> #  %S is the command name the user typed.
> noCommand=No '%S' command.
> noHelp=No help message for the '%S' command, sorry!
> 
>+sayHelpString=say <message>: send a message without command processing.
> rawHelpString=raw <message>: send a message without escaping HTML entities.

Nit: I replaced "command processing" with "processing commannds" (you agreed on IRC) for consistency with the help for the "raw" command.
Attachment #8352662 - Flags: review?(florian) → review+
(Assignee)

Comment 3

4 years ago
*** Original post on bio 1036 at 2011-10-26 23:27:10 UTC ***

Checked in as http://hg.instantbird.org/instantbird/rev/7e4bbbb830b7
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.2
You need to log in before you can comment on or make changes to this bug.